lỗi The editor has encountered an unexpected error khi vào trình chỉnh sửa bài viết chỉ là một trong những lỗi phổ biến nhất hiện nay khi các website cập nhật lên WordPress 5.0 được khởi động gần đây.

Vào ngày 6 tháng 12 năm 2018, WordPress chính thức ra mắt phiên bản WordPress 5.0 sau một thời gian dài sàng lọc cho tất cả các website. Có một phiên bản nâng cao của WordPress trong công cụ chỉnh sửa bài đăng trên blog. Thay vì sử dụng công cụ sửa đổi bài đăng blog cơ bản như trước đây, WordPress 5.0 đã thay thế bằng công cụ kéo và thả để chỉnh sửa bài viết.

Không có gì đáng bàn nếu WordPress 5.0 hoạt động tốt. Nhưng phiên bản mới này của WordPress khiến nhiều website sau khi cập nhật, không thể thêm hoặc sửa đổi bài đăng do lỗi The editor has encountered an unexpected error . Đặc biệt, sau khi người dùng cập nhật và truy cập bài đăng, một thông báo lỗi như sau sẽ xuất hiện:

The editor has encountered an unexpected error

Bạn không thể làm gì khác, không thể sửa đổi bao gồm bài đăng của bạn.

Chi tiết về lỗi The editor has encountered an unexpected error

Lỗi này có hai nguyên nhân:

  • Plugin xung đột với công cụ chỉnh sửa nội dung mới của WordPress. Cụ thể, một số plugin sau có thể xung đột với phiên bản WordPress 5.0 mới vì chưa được cập nhật: TinyMCE Advanced hoặc phiên bản Yoast SEO (dưới 9.0) …
  • Các nguyên nhân khác, bao gồm nguyên nhân xung đột với giao diện được sử dụng. Cụ thể, thông báo lỗi sau sẽ được hiển thị:

      

Hướng dẫn khắc phục lỗi The editor has encountered an unexpected error

Vì có 2 yếu tố, phương tiện để sửa lỗi lỗi sẽ đại diện cho từng lý do như vậy.

Để hiểu lý do của lỗi là gì, bạn cần nhấp vào thay thế Sao chép Lỗi và dán ngay vào Notepad hoặc một cái gì đó, bạn sẽ thấy chi tiết về thông báo lỗi như được hiển thị.

Nguyên nhân xung đột plugin

Cách cơ bản nhất là vô hiệu hóa plugin đó, vì plugin hỗ trợ trình chỉnh sửa là TinyMCE Advanced, hãy tắt nó đi. Hoặc cập nhật plugin lên một phiên bản gần đây hơn (đã Hỗ trợ WordPress 5.0). Vì lý do có vấn đề với Yoast SEO, bạn nên download plugin Yoast SEO Premium gần đây nhất để cài đặt, chắc chắn sẽ không còn lỗi nữa.

Nguyên nhân khác

Tôi sử dụng theme Jnews, và cũng không nhận ra bằng cách nào đó? Phiên bản cập nhật của giao diện Jnews v3.1.2 đã được tạo vào ngày 9/12/2018 (có tương thích với WP 5.0), nhưng vẫn bị lỗi The editor has encountered an unexpected error. Trong khi đó, có một số người khác sử dụng cập nhật Jnews thì lại không dính lỗi…

và để khắc phục tình trạng này. tôi sẽ không sử dụng trình chỉnh sửa drop-drag hoàn toàn mới của WordPress 5.0 nữa (Nó được gọi là Gutenberg). tôi sẽ chuyển trở lại sử dụng trình chỉnh sửa nội dung mặc định của WordPress (Classic Editor).

Do đó, để sửa chữa sai lầm này. Bạn chỉ cần tải xuống và kích hoạt Plugin WordPress Classic Editor trong WordPress. Nó chắc chắn sẽ thay thế công cụ chỉnh sửa nâng cao Gutenberg hiện có cho WordPress 5.0, và lỗi này cũng sẽ không còn nữa.

Ngoài ra khi sử dụng WordPress Classic Editor, bạn vẫn có thể sử dụng plugin TinyMCE Advanced.

Trên đây là toàn bộ lý do cũng như hướng dẫn khắc phục lỗi The editor has encountered an unexpected error khi cập nhật WordPress 5.0. Hy vọng bài viết ngắn này chắc chắn sẽ giúp bạn không còn mắc phải sai lầm này.

Nếu bạn gặp rắc rối hoặc lo lắng, bạn có thể bình luận bên dưới để mình có thể giúp đỡ bạn.

Last modified: Tháng Tám 8, 2019

Author

Comments

Write a Reply or Comment

Your email address will not be published.